#!/bin/sh
/usr/local/bin/gomplate -V -o /etc/php7/php.ini -f /etc/templates/php.ini.tmpl
/usr/local/bin/gomplate -V -o /var/www/app/data/config.php -f /etc/templates/config.php.tmpl
/usr/local/bin/gomplate -V -o /var/www/app/constants.local.php -f /etc/templates/constants.local.php.tmpl

/usr/bin/php -f ./cli/prepare.php

if [ "${FRESHRSS_DEFAULT_USER}" ]; then
    /usr/bin/php ./cli/create-user.php --user "$FRESHRSS_DEFAULT_USER" --password "$FRESHRSS_DEFAULT_PASSWORD"
    /usr/bin/php ./cli/do-install.php --default_user "$FRESHRSS_DEFAULT_USER"
fi

exec supercronic -split-logs /etc/crontabs/nginx 1> /dev/null &
exec php-fpm7 -F &
exec nginx -g "daemon off;"
